# Uses of Class
ch.qos.logback.core.rolling.RolloverFailure

Packages that use RolloverFailure
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of RolloverFailure in ch.qos.logback.core.rolling

Methods in ch.qos.logback.core.rolling that throw RolloverFailure
Modifier and Type
Method
Description
`void`
FixedWindowRollingPolicy.`rollover()`
`void`
RollingPolicy.`rollover()`
Rolls over log files according to implementation policy.
`void`
TimeBasedRollingPolicy.`rollover()`

## Uses of RolloverFailure in ch.qos.logback.core.rolling.helper

Methods in ch.qos.logback.core.rolling.helper that throw RolloverFailure
Modifier and Type
Method
Description
`static boolean`
FileStoreUtil.`areOnSameFileStore(File a, File b)`
This method assumes that both files a and b exists.
`Future<?>`
Compressor.`asyncCompress(String nameOfFile2Compress, String nameOfCompressedFile, String innerEntryName)`
`void`
RenameUtil.`rename(String src, String target)`
A relatively robust file renaming method which in case of failure due to src and target being on different volumes, falls back onto renaming by copying.
`void`
RenameUtil.`renameByCopying(String src, String target)`

## Uses of RolloverFailure in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that throw RolloverFailure
Modifier and Type
Method
Description
`void`
FileUtil.`copy(String src, String destination)`